Package: org.codehaus.groovy.ast.stmt

## [Java] Class EmptyStatement

- org.codehaus.groovy.ast.stmt.EmptyStatement

-     public class EmptyStatement
      extends Statement

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static EmptyStatement` | `INSTANCE` | Immutable singleton that is recommended for use when source range or any other occurrence-specific metadata is not needed.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EmptyStatement()` See Also: EmptyStatement.INSTANCE

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addStatementLabel(String label)`
    `` | `public boolean` | `isEmpty()`
    `` | `public void` | `setColumnNumber(int n)`
    `` | `public void` | `setLastColumnNumber(int n)`
    `` | `public void` | `setLastLineNumber(int n)`
    `` | `public void` | `setLineNumber(int n)`
    `` | `public void` | `setMetaDataMap(Map<?, ?> meta)`
    `` | `public void` | `setSourcePosition(ASTNode node)`
    `` | `public void` | `setStatementLabel(String label)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `getConnection, execute, execute, execute, execute, close, cancel, isClosed, getResultSet, executeUpdate, executeUpdate, executeUpdate, executeUpdate, setMaxFieldSize, setMaxRows, getMaxRows, getUpdateCount, clearBatch, getGeneratedKeys, executeBatch, setQueryTimeout, setCursorName, getResultSetType, executeQuery, getMaxFieldSize, getQueryTimeout, getMoreResults, getMoreResults, addBatch, closeOnCompletion, getLargeMaxRows, isPoolable, executeLargeBatch, setPoolable, enquoteLiteral, isSimpleIdentifier, setLargeMaxRows, enquoteIdentifier, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, clearWarnings, getWarnings, setFetchSize, setFetchDirection, getFetchDirection, getFetchSize, getResultSetConcurrency, getResultSetHoldability, isCloseOnCompletion, getLargeUpdateCount, setEscapeProcessing, enquoteNCharLiteral, unwrap, isWrapperFor`

- - ### Field Detail

    - #### public static final EmptyStatement INSTANCE

      Immutable singleton that is recommended for use when source range or any other occurrence-specific metadata is not needed.

  - ### Constructor Detail

    - #### public EmptyStatement()

      See Also:
        EmptyStatement.INSTANCE

  - ### Method Detail

    - #### @Override
      public void addStatementLabel(String label)

    - #### @Override
      public boolean isEmpty()

    - #### @Override
      public void setColumnNumber(int n)

    - #### @Override
      public void setLastColumnNumber(int n)

    - #### @Override
      public void setLastLineNumber(int n)

    - #### @Override
      public void setLineNumber(int n)

    - #### @Override
      public void setMetaDataMap(Map<?, ?> meta)

    - #### @Override
      public void setSourcePosition(ASTNode node)

    - #### @Override
      public void setStatementLabel(String label)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)